Warnings while running redmine:load_default_data rake task
2020-04-19 07:42 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Administration Estimated time: 0.00 hour
Target version: 4.0.8

Resolution: Fixed Affected version: 3.0.0
Description

You will see two warnings when you run redmine:load_default_data rake task.

S bin/rake redmine:load_default_data

/path/to/gems/ruby/2.6.0/gems/activerecord-5.2.4.2/1ib/active_record/associations.rb:1828: warning
already initialized constant CustomField::HABTM_Roles

/path/to/gems/ruby/2.6.0/gems/activerecord-5.2.4.2/1lib/active_record/associations.rb:1828: warning
previous definition of HABTM_Roles was here

Select language: ar, az, bg, bs, ca, cs, da, de, el, en, en-GB, es, es-PA, et, eu, fa, fi, fr, gl,
he, hr, hu, id, it, ja, ko, 1t, 1lv, mk, mn, nl, no, pl, pt, pt-BR, ro, ru, sk, sl, sq, sr, sr-YU,
sv, th, tr, uk, vi, zh, zh-TW [en]

Related issues:
Related to Redmine - Defect #14607: rake redmine:load_default_data Error Closed

Associated revisions

Revision 19715 - 2020-04-22 15:04 - Go MAEDA

Fix warnings while running redmine:load_default_data rake task (#33310).

Patch by Go MAEDA.

Revision 19716 - 2020-04-22 15:05 - Go MAEDA
Merged r19715 from trunk to 4.1-stable (#33310).

Revision 19717 - 2020-04-22 15:06 - Go MAEDA
Merged r19715 from trunk to 4.0-stable (#33310).

History

#1 - 2020-04-19 07:44 - Go MAEDA

It can be fixed with the following patch:

diff --git a/lib/tasks/load_default_data.rake b/lib/tasks/load_default_data.rake
index bcfff7c3b..cc6774bce 100644

-—- a/lib/tasks/load_default_data.rake

+++ b/lib/tasks/load_default_data.rake
@@ -2,7 +2,6 @@ desc 'Load Redmine default configuration data. Language is chosen interactively

namespace :redmine do
task :load_default_data => :environment do
= require 'custom_field'
include Redmine::I18n
set_language_if_wvalid('en')

#2 - 2020-04-19 07:44 - Go MAEDA
- Related to Defect #14607: rake redmine:load_default data Error added

#3 - 2020-04-22 14:44 - Go MAEDA

- Target version set to 4.0.8
Setting the target version to 4.0.8.

#4 - 2020-04-22 15:00 - Go MAEDA

- Affected version set to 3.0.0

#5 - 2020-04-22 15:06 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix.
